> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # List Customer Products > List the customer's product enable/disable states, with resource counts per product. ## OpenAPI ````yaml https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json get /partner/customer/{customerUserId}/products openapi: 3.0.0 info: title: bunny.net Partner Portal API version: 1.0.0 servers: - url: https://api.bunny.net description: bunny.net API Server security: - AccessKey: [] tags: - name: Customers - name: Audit Log - name: Contract - name: Billing - name: Pricing - name: Products paths: /partner/customer/{customerUserId}/products: get: tags: - Products summary: List Customer Products description: >- List the customer's product enable/disable states, with resource counts per product. operationId: GetPartnerCustomerProductsEndpoint_GetProducts parameters: - name: customerUserId in: path required: true schema: type: string x-position: 1 responses: '200': description: Product listing. content: application/json: schema: type: array items: $ref: '#/components/schemas/PartnerCustomerProductStateModel' '403': description: Customer is not assigned to this partner. security: - AccessKey: - ResellerPartner - MSPPartner - bearer: - ResellerPartner - MSPPartner components: schemas: PartnerCustomerProductStateModel: type: object additionalProperties: false properties: ProductId: description: |- The product this state applies to 1 = CDN 2 = Database 3 = DNS 4 = Magic Containers 5 = Optimizer 6 = Edge Scripting 7 = Shield 8 = Storage 9 = Stream oneOf: - $ref: '#/components/schemas/PartnerCustomerProductType' IsEnabled: type: boolean description: Whether the partner has enabled this product for the customer ResourceCount: type: integer description: Number of resources the customer currently has for this product format: int32 PartnerCustomerProductType: type: integer description: |- 1 = CDN 2 = Database 3 = DNS 4 = Magic Containers 5 = Optimizer 6 = Edge Scripting 7 = Shield 8 = Storage 9 = Stream x-enumNames: - Cdn - Database - Dns - MagicContainers - Optimizer - Scripting - Shield - Storage - Stream enum: - 1 - 2 - 3 - 4 - 5 - 6 - 7 - 8 - 9 securitySchemes: AccessKey: type: apiKey description: API Access Key authorization header name: AccessKey in: header bearer: type: apiKey description: Bearer token authorization header name: Authorization in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.